## slexpat 0.5.0

=== Makefile ===
#---------------------------------------------------------------------------
# Installation Directories
#---------------------------------------------------------------------------
prefix = /usr/local
exec_prefix = ${prefix}
MODULE_INSTALL_DIR = ${exec_prefix}/lib/slang/v2/modules
SL_FILES_INSTALL_DIR = ${prefix}/share/slsh/local-packages
HLP_FILES_INSTALL_DIR = $(SL_FILES_INSTALL_DIR)/help

#---------------------------------------------------------------------------
# DESTDIR is designed to facilitate making packages.  Normally it is empty
#---------------------------------------------------------------------------
DESTDIR =
DEST_MODULE_INSTALL_DIR = $(DESTDIR)$(MODULE_INSTALL_DIR)
DEST_SL_FILES_INSTALL_DIR = $(DESTDIR)$(SL_FILES_INSTALL_DIR)
DEST_HLP_FILES_INSTALL_DIR = $(DESTDIR)$(HLP_FILES_INSTALL_DIR)

#---------------------------------------------------------------------------
# Location of the S-Lang library and its include file
#---------------------------------------------------------------------------
SLANG_INC	= -I/usr/local/include
SLANG_LIB	= -L/usr/local/lib -lslang

#---------------------------------------------------------------------------
# C Compiler to create a shared library
#---------------------------------------------------------------------------
CC_SHARED 	= $(CC) $(CFLAGS) -shared -Wall -fPIC

#---------------------------------------------------------------------------
# Misc Programs required for installation
#---------------------------------------------------------------------------
INSTALL		= /usr/bin/install -m 644
MKINSDIR        = /usr/bin/install -d
#---------------------------------------------------------------------------
# You shouldn't need to edit anything below this line
#---------------------------------------------------------------------------

LIBS = $(SLANG_LIB) -lm -lexpat
INCS = $(SLANG_INC)

all: expat-module.so

expat-module.so: expat-module.c
	$(CC_SHARED) $(INCS) expat-module.c -o expat-module.so $(LIBS)

expat.hlp: expatfuns.tm
	tmexpand -Mslhlp expatfuns.tm expat.hlp

clean:
	rm -f expat-module.so *.o

#---------------------------------------------------------------------------
# Installation Rules
#---------------------------------------------------------------------------
install_directories:
	$(MKINSDIR) $(DEST_MODULE_INSTALL_DIR)
	$(MKINSDIR) $(DEST_SL_FILES_INSTALL_DIR)
	$(MKINSDIR) $(DEST_HLP_FILES_INSTALL_DIR)

install_modules:
	$(INSTALL) expat-module.so $(DEST_MODULE_INSTALL_DIR)
install_slfiles:
	$(INSTALL) expat.sl $(DEST_SL_FILES_INSTALL_DIR)
install_hlpfiles:
	$(INSTALL) expat.hlp $(DEST_HLP_FILES_INSTALL_DIR)

install: all install_directories install_modules install_slfiles install_hlpfiles

=== debian/changelog ===
slexpat (0.5.0-8) unstable; urgency=medium

  * Adopt package (Closes: #748260)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Dec 2021 11:18:16 -0300

slexpat (0.5.0-7) unstable; urgency=medium

  * QA upload.

  * d/u/metadata: New file
  * d/p/honor-cppflags-ldflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Nov 2021 16:47:37 -0300

slexpat (0.5.0-6) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/slang-expat.lintian-overrides: Fix Lintian error string

 -- Rafael Laboissière <rafael@debian.org>  Fri, 12 Nov 2021 05:11:33 -0300

slexpat (0.5.0-5) unstable; urgency=medium

  * QA upload.

  * d/rules: Prevent parallel building

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Sep 2021 14:28:43 -0300

slexpat (0.5.0-4) unstable; urgency=medium

  * QA upload.

  * Create Git repository at Salsa.d.o.
    The Git repository was created with "gbp import-dscs --debsnap". The
    layout of the repository follows DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * Switch from CDBS to debhelper
    + d/rules: Use the dh sequencer
    + d/control: Drop build-dependencies on cdbs and quilt
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Rules-Requires-Root: no
  * d/copyright: Convert to DEP-5 format
  * d/watch: Bump version to 4 (no changes)
  * d/s/lintian-overrides: Override "non secure URI" warning

 -- Rafael Laboissière <rafael@debian.org>  Mon, 27 Sep 2021 14:15:58 -0300

slexpat (0.5.0-3) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list (closes: #571880)
    + Set Maintainer to Debian QA Group (orhpaned package)
  * d/slang-expat.lintian-overrides: New file

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 01 Aug 2016 12:35:42 -0300

slexpat (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 10:54:05 +0200

slexpat (0.5.0-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Append trunk/ to the path in Vcs-Svn:, such that debcheckout works
    - Bumped Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 21 Jun 2008 16:18:30 +0200

slexpat (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 27 Jan 2008 13:59:19 +0100

slexpat (0.3.0-2) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Dec 2007 00:25:03 +0100

slexpat (0.3.0-1) unstable; urgency=low

  * First official release to unstable (closes: #440262, #440400)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Sep 2007 09:56:13 +0200

slexpat (0.3.0-1~pre1) unstable; urgency=low

  * Initial pre-release

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 31 Aug 2007 13:32:13 +0200

=== debian/control ===
Source: slexpat
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               libexpat1-dev,
               libslang2-dev (>= 2.0.4-6)
Standards-Version: 4.6.0
Homepage: http://www.cheesit.com/downloads/slang/slexpat.html
Vcs-Git: https://salsa.debian.org/debian/slexpat.git
Vcs-Browser: https://salsa.debian.org/debian/slexpat
Rules-Requires-Root: no

Package: slang-expat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: S-Lang bindings for the expat XML parser
 The S-Lang module contained in this package provides bindings to the
 expat library for parsing XML files.  This module can be used in slsh
 (the S-Lang shell), in the JED editor, and in the news reader slrn.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install -- prefix=/usr INSTALL="install -m 644"

=== debian/watch ===
version=4
http://www.cheesit.com/downloads/slang/slexpat.html .*/slexpat-([\d.]+).tgz
